Get Restore Preview Objects
Get list of Salesforce objects available for restore preview. Returns object statistics for the specified job.
Path Parameters
- clientId integer required
Client Id of the Salesforce organization
- jobId integer required
Job Id to preview
Query Parameters
- backupSetId integer required
Backup Set Id for the Salesforce organization
Responses
- 200
- 401
- 403
OK
- application/json
- Schema
- Example (from schema)
Schema
- cacheId string
Cache identifier for the query
- offset integer
Current offset position
- limit integer
Maximum number of records returned
- totalRecordCount integer
Total count of objects available
columns object[]
Properties of all the columns
name stringColumn Name
dataField stringtype stringColumn Type
- recordsCount integer
Number of records returned
- records array[]
Object statistics records
{
"cacheId": "string",
"offset": 0,
"limit": 0,
"totalRecordCount": 0,
"columns": [
{
"name": "string",
"dataField": "string",
"type": "string"
}
],
"recordsCount": 0,
"records": [
[
null
]
]
}
Unauthorized
Forbidden - User does not have browse rights on the Salesforce organization
Loading...